package
{
	import flash.events.Event;
	import flash.net.*;
	
	import org.flixel.*;
	public class GameState extends FlxState
	{
		[Embed(source="data/graphic.png")] public static var ImgGraphic:Class;
		[Embed(source="data/normal.png")] public static var ImgNormal:Class;
		[Embed(source="data/highlighted.png")] public static var ImgHighlighted:Class;
		[Embed(source="data/selecte.png")] public static var ImgSelected:Class;
		
		public static var pattern:String;
		
		public static var done:Boolean;
		override public function create():void
		{
			done=false;
			pattern="";
			
			for (var i:int=0;i<9;i++)
			{
				createBlip(i);
			}
			
		}
		
		public function createBlip(n:int):void
		{
			var x:int=Math.floor(n/3)*50+FlxG.width/2-(3*50)/2;
			var y:int=Math.floor(n%3)*50+FlxG.height/2-(3*50)/2;
			var item:ItemClick = new ItemClick(n);
			var b:FlxButton = new FlxButton(x,y,item.OnClick);
			item.b=b;
			b.loadGraphic(new FlxSprite(0,0,ImgNormal),new FlxSprite(0,0,ImgHighlighted));
			
			var s:FlxSprite = new FlxSprite(x,y,ImgSelected);
			add(s);
			add(b);			
		}
		
		override public function update():void
		{
			if (FlxG.mouse.justPressed())
			{
				//FlxG.state = new GameState();
			}
			super.update();
		}
	}	
}

class ItemClick
{
	import org.flixel.*;
	
	public var n:int;
	public var b:FlxButton;
	public function ItemClick(n_:int)
	{
		n=n_;	
	}
	public function OnClick():void
	{
		if (GameState.done==true)
			return;
		
		GameState.pattern+=n.toString();
		
		if (GameState.pattern.length>=9)
		{
			FlxG.state = new SubmitState();
			GameState.done=true;
		}
		b.visible=false;
		b.kill();
	}
}